import { ValidationArguments } from 'class-validator';

export const hasProperDriverSeats = (args: ValidationArguments): boolean => {
  if (
    args.object['driver'] === true &&
    typeof args.object['seatsDriver'] === 'number'
  )
    return args.object['seatsDriver'] > 0;
  if (
    (args.object['driver'] === false ||
      args.object['driver'] === null ||
      args.object['driver'] === undefined) &&
    (args.object['seatsDriver'] === 0 ||
      args.object['seatsDriver'] === null ||
      args.object['seatsDriver'] === undefined)
  )
    return true;
  return false;
};
